Bug 198577 - Starting with 2.6.17-1_FC5 kernel, iscsi initiator gives error 22
Starting with 2.6.17-1_FC5 kernel, iscsi initiator gives error 22
Product: Fedora
Classification: Fedora
Component: iscsi-initiator-utils (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike Christie
Depends On:
  Show dependency treegraph
Reported: 2006-07-11 21:09 EDT by Mark C. Davis
Modified: 2012-06-26 12:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-20 13:46:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark C. Davis 2006-07-11 21:09:13 EDT
Description of problem:
On systems configured correctly with iscsi initiators, upgrading to 2.6.17-1
kernel causes node login to fail with error 22.

Version-Release number of selected component (if applicable):
FC5, 2.6.17-1_FC kernel

How reproducible:
do iscsi node login

Steps to Reproduce:
1. boot FC 5 2.6.17-1,
2. service iscsi start
3. iscsiadm -m node -r xxxxx -l
Actual results:
service hangs, error 9 is displayed on console, error 22 is logged in messages

Expected results:
no output (successful login)

Additional info:
works properly in FC6 2.6.17
Comment 1 Mike Christie 2006-07-13 12:14:48 EDT
Sorry about this. The FC5 kernel and the rpm got out of sync. I did not know the
FC5 kernel was going to contain the FC6 kernels drivers so the FC6 iscsi rpm got
update but the FC5 one did not.

I am in the process of adding some bugfixes to both kernels and updating both
FC5 and FC6's rpm.
Comment 2 Chris Tatman 2006-08-04 16:35:01 EDT
Yep.  I just got bit by this one today too.  Please let me know if you need any
testers for the fix!

Comment 3 Mike Christie 2006-08-10 03:47:11 EDT
This should be fixed on the next FC kernel update.
Comment 4 Mark C Davis 2006-11-02 12:55:51 EST
This fix works for me.
Comment 5 Mike Christie 2007-06-20 13:46:41 EDT
Closing bug since it was fixed upstream and that works for reporter.

Note You need to log in before you can comment on or make changes to this bug.